<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2018 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douco.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议：http://www.douco.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
if (!defined('IN_DOUCO')) {
    die('Hacking attempt');
}
class Action extends Common {
    /**
     * +----------------------------------------------------------
     */
    function category($table, $channeltype) {
        $sql = "SELECT * FROM " . $this->table('arctype') . " WHERE channeltype = '$channeltype' ORDER BY id ASC";
        $query = $this->query($sql);
        while ($row = $this->fetch_array($query)) {
            $unique_id = $this->rand_unique_id($table);
            $GLOBALS['dou']->query("INSERT INTO " . $GLOBALS['dou']->table($table . '_category') . " (cat_id, cat_name, unique_id, keywords, description, parent_id)" . " VALUES ('$row[id]', '$row[typename]', '$unique_id', '$row[keywords]', '$row[description]', '0')");
        }
    }
 
    /**
     * +----------------------------------------------------------
     * 随机用户编号
     * +----------------------------------------------------------
     */
    function rand_unique_id($table) {
        $unique_id = $GLOBALS['dou']->create_rand_string('letter', 5);
        if ($GLOBALS['dou']->value_exist($table, 'unique_id', $unique_id)) {
            $this->rand_unique_id();
        } else {
            return $unique_id;
        }
    }
    
    /**
     * +----------------------------------------------------------
     */
    function article($action = 'list', $limit = 10000) {
        $sql = "SELECT * FROM " . $this->table('archives') . " AS a LEFT JOIN " . $this->table('addonarticle') . " AS b ON a.id = b.aid WHERE a.channel = '1' ORDER BY id ASC LIMIT $limit";
        $query = $this->query($sql);
        while ($row = $this->fetch_array($query)) {
            if ($action == 'transform') {
                $sql = "INSERT INTO " . $GLOBALS['dou']->table('article') . " (id, cat_id, title, content, image, keywords, description, click, add_time)" . " VALUES ('$row[id]', '$row[typeid]', '$row[title]', '" . preg_replace('/\/uploads\//', ROOT_URL . "images/uploads/", addslashes($row['body'])) . "', '" . preg_replace('/\/(.*)uploads\//Ums', "images/uploads/", $row['litpic']) . "', '$row[keywords]', '$row[description]', '$row[click]', '$row[senddate]')";
                $GLOBALS['dou']->query($sql);
            } else {
                $article_list[] = array (
                        "id" => $row['id'],
                        "cat_id" => $row['typeid'],
                        "title" => $row['title'],
                        "image" => $row['litpic'],
                        "click" => $row['click'],
                        "keywords" => $row['keywords'],
                        "description" => $row['description'],
                        "add_time" => $row['senddate']
                );
            }
        }

        return $article_list;
    }
 
    /**
     * preg_replace('/\/(.*)uploads\//Ums', "images/uploads/", addslashes($row['body']))
     * +----------------------------------------------------------
     */
    function product($action = 'list', $limit = 10000) {
        $table = $this->table_exist('addonshop') ? 'addonshop' : 'addonproduct';
        
        $sql = "SELECT * FROM " . $this->table('archives') . " AS a LEFT JOIN " . $this->table($table) . " AS b ON a.id = b.aid WHERE a.channel = '6' ORDER BY id ASC LIMIT $limit";
        $query = $this->query($sql);
        while ($row = $this->fetch_array($query)) {
            if ($action == 'transform') {
                $sql = "INSERT INTO " . $GLOBALS['dou']->table('product') . " (id, cat_id, name, price, content, image, keywords, description, add_time)" . " VALUES ('$row[id]', '$row[typeid]', '$row[title]', '$row[price]', '" . preg_replace('/\/uploads\//', ROOT_URL . "images/uploads/", addslashes($row['body'])) . "', '" . preg_replace('/\/(.*)uploads\//', "images/uploads/", $row['litpic']) . "', '$row[keywords]', '$row[description]', '$row[senddate]')";
                $GLOBALS['dou']->query($sql);
            } else {
                $product_list[] = array (
                        "id" => $row['id'],
                        "cat_id" => $row['typeid'],
                        "name" => $row['title'],
                        "price" => $row['price'],
                        "image" => $row['litpic'],
                        "click" => $row['click'],
                        "keywords" => $row['keywords'],
                        "description" => $row['description'],
                        "add_time" => $row['senddate']
                );
            }
        }

        return $product_list;
    }
 
    /**
     +----------------------------------------------------------
     * 清除目录下所有文件
     +----------------------------------------------------------
     */
    function dou_clear_file($dir) {
        $dir = realpath($dir);
        if (!$dir || !@ is_dir($dir)) return 0;
        $handle = @ opendir($dir);
        if ($dir[strlen($dir) - 1] != DIRECTORY_SEPARATOR) $dir .= DIRECTORY_SEPARATOR;
        while ($file = @ readdir($handle)) {
            if ($file != '.' && $file != '..') {
                if (@ is_dir($dir . $file) && !is_link($dir . $file)) {
                 $this->dou_clear_file($dir . $file);
                } else {
                 @unlink($dir . $file);
                }
            }
        }
        closedir($handle);
    }

    /**
      +----------------------------------------------------------
      * 后台通用信息提示
      +----------------------------------------------------------
      */
     function dede_msg($text, $url = '', $title = '', $time = '3') {
         if (!$text) {
             $text = $GLOBALS['_LANG']['dou_msg_success'];
         }

         $GLOBALS['smarty']->assign('text', $text);
         $GLOBALS['smarty']->assign('url', $url);
         $GLOBALS['smarty']->assign('time', $time);
         $GLOBALS['smarty']->assign('title', $title);
         $GLOBALS['smarty']->display('dou_msg.htm');
         exit ();
     }
}

?>